/* tkhaskell.h: see tkhaskell.c fot details. */

stub_include "tclhaskell.h";
module TclPrim {

// From AddrBits in the HDirect lib directory.
char
readCharOffAddr
   ( [in,ptr]void* arg1
   , [in]int arg2
   );

void writeCharOffAddr
   ( [in,ptr]void* arg1
   , [in]int arg2
   , [in]char arg3
   );

[ptr]void* primMalloc ( [in]unsigned long arg1 );
void primFree ( [in,ptr]void* arg1 );

void primPutEnv ([in,string]char *str);
void primTclDebug([in]bool flg);
bool  primInitTcl(void);
bool  primRunTcl(void);
bool primRunNonBlockingTcl (void);
bool primRunOnceTcl (void);
[string]char* primExecuteTcl([in,string]char* cmd);
void primExecuteTcl_ ([in,string]char* cmd);
[string]char* primGetEvent(void);
void primSetVar( [in,string]char* varname
               , [in,string]char* inp
	       );
bool primCheckAnyWindowsTcl (void);

};
